AMXX-BG.INFO curl.inc

curl

Browse all symbols documented inside this include file.

Constants

Name Description
_curl_included

Functions

Name Description
curl_easy_escape This function converts the given input string to a URL encoded string. All input characters that are not a-z, A-Z, 0-9, '-', '.', '_' or '~' are converted to their "URL escaped" version (%NN where NN is a two-digit hexadecimal number). see also https://curl.haxx.se/libcurl/c/curl_easy_escape.html
curl_easy_unescape This function converts the given URL encoded input string to a "plain string". All input characters that are URL encoded (%XX where XX is a two-digit hexadecimal number) are converted to their binary versions. see also https://curl.haxx.se/libcurl/c/curl_easy_unescape.html
curl_easy_init This function must be the first function to call, and it returns a CURL easy handle that you must use as input to other functions in the easy interface. This call MUST have a corresponding call to curl_easy_cleanup when the operation is complete. see also https://curl.haxx.se/libcurl/c/curl_easy_init.html
curl_easy_perform Invoke this function after curl_easy_init and all the curl_easy_setopt calls are made, and will perform the transfer as described in the options. It must be called with the same curl handle as input as the curl_easy_init call returned. You can do any amount of calls to curl_easy_perform while using the same curl handle. If you intend to transfer more than one file, you are even encouraged to do so. libcurl will then attempt to re-use the same connection for the following transfers, thus making the operations faster, less CPU intense and using less network resources. Just note that you will have to use curl_easy_setopt between the invokes to set options for the following curl_easy_perform. see also https://curl.haxx.se/libcurl/c/curl_easy_perform.html
curl_easy_setopt This function is used to tell libcurl how to behave. By setting the appropriate options, the application can change libcurl's behavior. All options are set with an option followed by a parameter. That parameter can be a long, a function pointer, an object pointer or a curl_off_t, depending on what the specific option expects. Read this manual carefully as bad input values may cause libcurl to behave badly! You can only set one option in each function call. A typical application uses many curl_easy_setopt calls in the setup phase. Options set with this function call are valid for all forthcoming transfers performed using this handle. The options are not in any way reset between transfers, so if you want subsequent transfers with different options, you must change them between the transfers. You can optionally reset all options back to internal default with curl_easy_reset. see also https://curl.haxx.se/libcurl/c/curl_easy_setopt.html
curl_easy_cleanup This function must be the last function to call for an easy session. It is the opposite of the curl_easy_init function and must be called with the same handle as input that a curl_easy_init call returned. This might close all connections this handle has used and possibly has kept open until now - unless it was attached to a multi handle while doing the transfers. Don't call this function if you intend to transfer more files, re-using handles is a key to good performance with libcurl. see also https://curl.haxx.se/libcurl/c/curl_easy_cleanup.html
curl_easy_reset Re-initializes all options previously set on a specified CURL handle to the default values. This puts back the handle to the same state as it was in when it was just created with curl_easy_init. It does not change the following information kept in the handle: live connections, the Session ID cache, the DNS cache, the cookies and shares. see also https://curl.haxx.se/libcurl/c/curl_easy_reset.html
curl_easy_getinfo Request internal information from the curl session with this function. The third argument MUST be a buffer for value (num, string, float) The data pointed-to will be filled in accordingly and can be relied upon only if the function returns CURLE_OK. Use this function AFTER a performed transfer if you want to get transfer related data. see also https://curl.haxx.se/libcurl/c/curl_easy_getinfo.html
curl_easy_strerror The function receives a text description of the specified error code.
curl_formadd
curl_formfree
curl_slist_append This function appends a string to a linked list of strings. The existing list should be passed as the first argument and the new list is returned from this function. Pass in SList_Empty (0) in the list argument to create a new list. The specified string has been appended when this function returns. see also https://curl.haxx.se/libcurl/c/curl_slist_append.html
curl_slist_free_all This function removes all traces of a previously built curl_slist linked list. see also https://curl.haxx.se/libcurl/c/curl_slist_free_all.html
curl_version Returns a human readable string with the version number of libcurl and some of its important components (like OpenSSL version). see also https://curl.haxx.se/libcurl/c/curl_version.html

Enums

Name Description
_
curl_slist